<template>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header"><strong>Création salle de réunion</strong></div>

                        <div class="card-body">

                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="libelle_salle">Libellé</label>
                                <div class="col-md-9">
                                    <input v-model="salle.libelle" class="form-control" id="libelle_salle" type="text"
                                           name="libelle_salle" placeholder="Nom de la salle">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="capacite">Capacité</label>
                                <div class="col-md-9">
                                    <input v-model="salle.capacite" class="form-control" id="capacite" type="number"
                                           name="capacite" value="0">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="emplacement">Emplacement</label>
                                <div class="col-md-9">
                                    <textarea v-model="salle.emplacement" class="form-control" id="emplacement" name="" rows="2"
                                              placeholder="Emplacement de la salle de réunion..."></textarea>
                                </div>
                            </div>


                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="emplacement">Norme PMR</label>
                                <div class="col-md-9">
                                    <label class="c-switch c-switch-label c-switch-outline-primary">
                                        <input v-on:click="toggle()" class="c-switch-input" type="checkbox" checked=""><span
                                            class="c-switch-slider" data-checked="✓" data-unchecked="✕"></span>
                                    </label>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="emplacement">Equipements</label>
                                <div class="col-md-9">
                                    <v-select multiple v-model="salle.equipement" label="libelle" :options="equipement" />
                                </div>
                            </div>

                        </div>
                        <div class="card-footer">
                            <button class="btn btn-sm btn-primary" v-on:click="createSalle()" style="margin-right: 6px; margin-left: -6px;"> Ajouter</button>
                            <button class="btn btn-sm btn-danger" v-on:click="reset()"> Réinitialiser</button>
                        </div>

                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import vSelect from 'vue-select'
    import 'vue-select/dist/vue-select.css';
    import swal from "sweetalert";

    export default {
        name: 'CreateSalleDeReunion',
        components: {
            vSelect
        },
        data() {
            return {
                selected: null,
                equipement: null,
                salle: {
                    libelle: "",
                    capacite: "",
                    superficie: "",
                    emplacement: "",
                    pmr: false,
                    equipement: null,
                    adminState: false
                }
            };
        },
        methods: {
            getJsonFile () {
                this.equipement = require('../../assets/JsonData/equipement.json')
            },
            toggle(){
                this.adminState = !this.adminState
                this.salle.pmr = this.adminState;
            },
            async createSalle() {
                await this.$http.post("/api/salles/addMeetingRoom", this.salle)
                    .then(response => {
                        if (response.status=== 201) {
                            swal("Succès", response.data.msg, "success");
                           // this.$router.push("/CreateSalleDeReunion");
                        }
                    })
                    .catch(error => {
                        if (error.response && error.response.status === 500) {
                            swal("Erreur", error.response.data, "error");
                        }
                        else {
                            swal("Erreur", "Une erreur est survenue", "error");
                        }
                    })
            },
            reset() {
                this.salle.libelle = ""
                this.salle.capacite = ""
                this.salle.emplacement = ""
                this.salle.false = ""
                this.salle.equipement = ""
            }
        },
        beforeMount() {
            this.getJsonFile();
        }
    }

</script>

<style scoped>

</style>
